{ lib, config, pkgs, ... }:

{
  config.virtualisation.docker = {
    enable = true;
    # enableNvidia = true;
    enableOnBoot = true;
    storageDriver = if config.fileSystems."/".fsType == "btrfs" then "btrfs" else null;
    rootless.enable = true;
    rootless.setSocketVariable = true;
    daemon.settings = {
      default-address-pools = [
        {base = "10.64.0.0/10"; size = 24;}
      ];
      bip = "10.127.0.1/16";
    };
  };
  config.users.users.indocker = {
    isSystemUser = true;
    hashedPassword = "!";
    uid = 900;
    group = "indocker";
  };
  config.users.groups.indocker = {
    gid = 900;
  };
  config.environment.systemPackages = with pkgs; [
    docker-compose
  ];
}
